POSTsui_getNormalizedMoveModulesByPackage

Sui Mainnethttps://sui-mainnet.nodit.io/

Return structured representations of all modules in the given package

Request Body
idintegerrequired
jsonrpcstringrequired
methodstringrequired
paramsoneOf[]required
params[0]string

Hex string encoding.

Responses
jsonrpcstring
idinteger
resultobject
X-API-KEY
RequestCU50
cURL
curl -X POST "https://sui-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "sui_getNormalizedMoveModulesByPackage",
  "params": [
    "0x61630d3505f8905a0f4d42c6ff39a78a6ba2b28f68a3299ec3417bbabc6717dc"
  ]
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "result": {
    "fileFormatVersion": 6,
    "address": "0x800105867da4655eca6d9eb1258bfd1ad92af329a07781ee71e60065e00f2de9",
    "name": "module",
    "friends": [],
    "structs": {},
    "exposedFunctions": {}
  },
  "id": 1
}